@if (componentData) {
  @if (componentData.loadingData) {
    <div class="full-width full-height">
      <i nz-icon nzTheme="outline" nzType="loading"></i>
    </div>
  } @else {
    @if (componentData.showXlsImportErrorMessage) {
      <span class="sqtm-core-error-message">
        {{ componentData.errorMessage }}
      </span>
    } @else {
      <sqtm-app-requirement-xls-report
        [templateOk]="componentData.xlsReport.templateOk"
        [templateKo]="componentData.xlsReport.importFormatFailure"
      ></sqtm-app-requirement-xls-report>
    }
  }
}
